Package com.avaya.features.conversationlist

## Class ConversationListFragment

- java.lang.Object
- - Fragment
  - - com.avaya.features.conversationlist.ConversationListFragment

-     public class ConversationListFragment
      extends Fragment

  Fragment for displaying a list of `Conversation`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ARGS_SHOW_NEW_CONVERSTATION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConversationListFragment()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConversationListFragment` | `create​(boolean showCreateConversation)` |
    `android.view.View` | `onCreateView​(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` |
    `void` | `onDestroyView()` |
    `void` | `onViewCreated​(android.view.View rootView, android.os.Bundle savedInstanceState)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARGS_SHOW_NEW_CONVERSTATION

          public static final java.lang.String ARGS_SHOW_NEW_CONVERSTATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConversationListFragment

          public ConversationListFragment()

  - ### Method Detail

    - #### create

          public static ConversationListFragment create​(boolean showCreateConversation)

    - #### onCreateView

          public android.view.View onCreateView​(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

    - #### onViewCreated

          public void onViewCreated​(android.view.View rootView,
                                    android.os.Bundle savedInstanceState)

    - #### onDestroyView

          public void onDestroyView()